apiVersion: apps/v1
kind: Deployment
metadata:
  name: hpay-api-microservice
spec:
  replicas: 2
  selector:
    matchLabels:
      app: hpay-api-microservice
  template:
    metadata:
      labels:
        app: hpay-api-microservice
    spec:
      containers:
        - name: hpay-api-microservice
          image: nanojunior92/hpay-api-microservice
          ports:
            - containerPort: 5000